require( "scripts/ui/colors.lua" );

--[[FONTS]]--
ArialSymbolSet = "fonts/arial.mvec";
MinionSymbolSet = "fonts/minion.mvec";
OndineSymbolSet = "fonts/ondine.mvec";
LucidaSymbolSet = "fonts/lucida.mvec";

MinionSbItSymbolSet = "fonts/minion_sb_it.mvec";

ButtonLabel = {
    ArialSymbolSet,
    18,
    WhiteColor
};

TextStyle = {
    flags = kVAlignCenter + kHAlignCenter,
    w = kMax, h = kMax,
};

CreateFont = function(font_size, font_color)
    return {ArialSymbolSet, font_size, font_color};
end;

CreateNamedFont = function(font_name, font_size, font_color)
    return {font_name, font_size, font_color};
end;

CreateText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {ArialSymbolSet, font_size, font_color},
        },
    };
end;

CreateLucidaText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {LucidaSymbolSet, font_size, font_color},
        },
    };
end;

CreateOndineText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {OndineSymbolSet, font_size, font_color},
        },
    };
end;

CreateMinionText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {MinionSymbolSet, font_size, font_color},
        },
    };
end;
CreateMinionSbItText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {MinionSbItSymbolSet, font_size, font_color},
        },
    };
end;

CreateShadowText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x+1, y = pos_y+1,
            w = width, h = height,
            font = {ArialSymbolSet, font_size, ShadowColor},
        },
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {ArialSymbolSet, font_size, font_color},
        },
    };
end;

CreateLucidaShadowText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x+1, y = pos_y+1,
            w = width, h = height,
            font = {LucidaSymbolSet, font_size, ShadowColor},
        },
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {LucidaSymbolSet, font_size, font_color},
        },
    };
end;

CreateMinionShadowText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x+1, y = pos_y+1,
            w = width, h = height,
            font = {MinionSymbolSet, font_size, ShadowColor},
        },
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {MinionSymbolSet, font_size, font_color},
        },
    };
end;

CreateOndineShadowText = function(font_size, font_color, pos_x, pos_y, text, width, height)
    return Group
    {
        Text
        {
            label = text,
            x = pos_x+1, y = pos_y+1,
            w = width, h = height,
            font = {OndineSymbolSet, font_size, ShadowColor},
        },
        Text
        {
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {OndineSymbolSet, font_size, font_color},
        },
    };
end;

CreateNamedText = function(font_size, font_color, pos_x, pos_y, text, width, height, text_name)
    return Group
    {
        Text
        {
            name = text_name,
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {ArialSymbolSet, font_size, font_color},
        },
    };
end;

CreateLucidaNamedText = function(font_size, font_color, pos_x, pos_y, text, width, height, text_name)
    return Group
    {
        Text
        {
            name = text_name,
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {LucidaSymbolSet, font_size, font_color},
        },
    };
end;

CreateMinionNamedText = function(font_size, font_color, pos_x, pos_y, text, width, height, text_name)
    return Group
    {
        Text
        {
            name = text_name,
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {MinionSymbolSet, font_size, font_color},
        },
    };
end;

CreateOndineNamedText = function(font_size, font_color, pos_x, pos_y, text, width, height, text_name)
    return Group
    {
        Text
        {
            name = text_name,
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {OndineSymbolSet, font_size, font_color},
        },
    };
end;

CreateNamedShadowText = function(font_size, font_color, pos_x, pos_y, text, width, height, text_name)
    return Group
    {
        Text
        {
            name = "shadow_"..text_name,
            label = text,
            x = pos_x+1, y = pos_y+1,
            w = width, h = height,
            font = {ArialSymbolSet, font_size, ShadowColor},
        },
        Text
        {
            name = text_name,
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {ArialSymbolSet, font_size, font_color},
        },
    };
end;

CreateLucidaNamedShadowText = function(font_size, font_color, pos_x, pos_y, text, width, height, text_name)
    return Group
    {
        Text
        {
            name = "shadow_"..text_name,
            label = text,
            x = pos_x+1, y = pos_y+1,
            w = width, h = height,
            font = {LucidaSymbolSet, font_size, ShadowColor},
        },
        Text
        {
            name = text_name,
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {LucidaSymbolSet, font_size, font_color},
        },
    };
end;

CreateMinionNamedShadowText = function(font_size, font_color, pos_x, pos_y, text, width, height, text_name)
    return Group
    {
        Text
        {
            name = "shadow_"..text_name,
            label = text,
            x = pos_x+1, y = pos_y+1,
            w = width, h = height,
            font = {MinionSymbolSet, font_size, ShadowColor},
        },
        Text
        {
            name = text_name,
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {MinionSymbolSet, font_size, font_color},
        },
    };
end;

CreateOndineNamedShadowText = function(font_size, font_color, pos_x, pos_y, text, width, height, text_name)
    return Group
    {
        Text
        {
            name = "shadow_"..text_name,
            label = text,
            x = pos_x+1, y = pos_y+1,
            w = width, h = height,
            font = {OndineSymbolSet, font_size, ShadowColor},
        },
        Text
        {
            name = text_name,
            label = text,
            x = pos_x, y = pos_y,
            w = width, h = height,
            font = {OndineSymbolSet, font_size, font_color},
        },
    };
end;



--[[STYLES]]--

ScrollGoal = {
    font = {ArialSymbolSet, 12, BlackColor},
    flags = kVAlignCenter + kHAlignCenter,
    w = 60, h = 12,
};

-- Sell Screen


TxtPotionCount = {
    font = {MinionSymbolSet, 16, WhiteColor},
    flags = kVAlignCenter + kHAlignRight,
    w = 35, h = 16,
};

TxtFlowerPrice = {
    font = {MinionSymbolSet, 20, CaptionYellow},
    flags = kVAlignCenter + kHAlignCenter,
    w = 35, h = 20,
};
TxtFlowerPriceShadow = {
    font = {MinionSymbolSet, 20, CaptionBrown},
    flags = kVAlignCenter + kHAlignCenter,
    w = 35, h = 20,
};

TxtPotionPrice = {
    font = {MinionSymbolSet, 20, CaptionYellow},
    flags = kVAlignCenter + kHAlignCenter,
    w = 35, h = 20,
};
TxtPotionPriceShadow = {
    font = {MinionSymbolSet, 20, CaptionBrown},
    flags = kVAlignCenter + kHAlignCenter,
    w = 35, h = 20,
};

TxtPotionQuestTag = {
    font = {OndineSymbolSet, 21, LightBlueText},
    flags = kVAlignCenter + kHAlignCenter,
    w = 60, h = 24,
};
TxtPotionQuestTagShadow = {
    font = {OndineSymbolSet, 21, BlueOutline},
    flags = kVAlignCenter + kHAlignCenter,
    w = 60, h = 24,
};

TxtRecipeNameScroll = {
    font = {MinionSymbolSet, 18, LightBlueText},
    flags = kVAlignCenter + kHAlignCenter,
    w = kMax, h = 18,
};
TxtRecipeNameScrollShadow = {
    font = {MinionSymbolSet, 18, BlueOutline},
    flags = kVAlignCenter + kHAlignCenter,
    w = kMax, h = 18,
};

TxtRecipePriceScroll = {
    font = {MinionSymbolSet, 20, CaptionYellow},
    flags = kVAlignCenter + kHAlignLeft,
    w = 40, h = 20,
};

TxtRecipePriceScrollShadow = {
    font = {MinionSymbolSet, 20, CaptionBrown},
    flags = kVAlignCenter + kHAlignLeft,
    w = 40, h = 20,
};

TxtRecipeQuestScroll = {
    font = {OndineSymbolSet, 18, LightBlueText},
    flags = kVAlignCenter + kHAlignCenter,
    w = 120, h = 20,
};

TxtRecipeQuestScrollShadow = {
    font = {OndineSymbolSet, 18, BlueOutline},
    flags = kVAlignCenter + kHAlignCenter,
    w = 120, h = 20,
};

-- Game Screen

TxtExpertDayCounter = {
    font = {ArialSymbolSet, 14, WhiteColor},
    flags = kVAlignCenter + kHAlignCenter,
    h=20,w=90,
};

TxtExpertReminder = {
    font = {ArialSymbolSet, 14, LightBlueColor},
    flags = kVAlignCenter + kHAlignCenter,
};

-- Quest Dialog
TxtQuestExpertInfo = {
    font = {ArialSymbolSet, 14, LightBlueColor},
    flags = kVAlignCenter + kHAlignCenter,
};
